--[[
	Finds any bones named "Dangler", and adjusts the angle of these bones to always point downwards.
]]

function LayerScript(moho)
	if (moho.frame == 0) then
		return
	end
	local skel = moho:Skeleton()
	if (skel == nil) then
		print("No skeleton found in layer:", moho.layer:Name())
		return
	end
	local origin = LM.Vector2:new_local()
	local tip = LM.Vector2:new_local()
	local matrix = LM.Matrix:new_local()
	moho.layer:GetFullTransform(moho.frame, matrix, nil)
	for i = 0, skel:CountBones() - 1 do
		local bone = skel:Bone(i)
		if (bone:Name() == "Dangler") then
			origin:Set(0, 0)
			bone.fMovedMatrix:Transform(origin)
			matrix:Transform(origin)
			tip:Set(0, 0.1)
			bone.fMovedMatrix:Transform(tip)
			matrix:Transform(tip)
			local angle = math.atan2(tip.y - origin.y, tip.x - origin.x)
			bone.fAngle = bone.fAngle - angle
		end
	end
	skel:UpdateBoneMatrix()
end
